<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="EXOF_1" language="groovy" pageWidth="612" pageHeight="792" columnWidth="572" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" uuid="aceeb103-a0d3-4ce6-8333-7fcf8505bc06">
	<property name="ireport.zoom" value="4.0"/>
	<property name="ireport.x" value="25"/>
	<property name="ireport.y" value="118"/>
	<style name="table">
		<box>
			<pen lineWidth="1.0" lineColor="#000000"/>
		</box>
	</style>
	<style name="table_TH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="table_CH" mode="Opaque" backcolor="#FFBFBF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="table_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<subDataset name="Table Dataset 1" uuid="f39cb7c8-1576-45d2-aea0-ee5ab0432679"/>
	<parameter name="P1" class="java.lang.Integer">
		<defaultValueExpression><![CDATA[]]></defaultValueExpression>
	</parameter>
	<parameter name="dirFirma" class="java.lang.String"/>
	<parameter name="dirLogo" class="java.lang.String"/>
	<parameter name="SUBREPORT_DIR" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["/opt/tomcat8/webapps/clinica/paginas/ireports/hc/"]]></defaultValueExpression>
	</parameter>
	<queryString>
		<![CDATA[SELECT
  inc.id,
  inc.id_evolucion,
  inc.id_paciente,
  inc.numero_dias,
  inc.fecha_desde::DATE,
  inc.fecha_hasta::DATE,
  inc.motivo,
  inc.observaciones
FROM
  eventos.incapacidad inc LEFT JOIN hc.vi_evolucion_diagnosticos dia ON inc.id_evolucion=dia.id_evolucion
WHERE inc.id=$P{P1}]]>
	</queryString>
	<field name="id" class="java.lang.Integer"/>
	<field name="id_evolucion" class="java.lang.Integer"/>
	<field name="id_paciente" class="java.lang.String"/>
	<field name="numero_dias" class="java.lang.String"/>
	<field name="fecha_desde" class="java.sql.Date"/>
	<field name="fecha_hasta" class="java.sql.Date"/>
	<field name="motivo" class="java.lang.String"/>
	<field name="observaciones" class="java.lang.String"/>
	<background>
		<band splitType="Stretch"/>
	</background>
	<pageHeader>
		<band height="65" splitType="Stretch">
			<line>
				<reportElement x="0" y="0" width="572" height="1" uuid="eda18f02-b44b-4571-94c1-e98a973467f9"/>
			</line>
			<subreport>
				<reportElement x="0" y="29" width="571" height="35" uuid="b66c9528-ef1f-400a-b8cb-b14f50c22c7c"/>
				<subreportParameter name="P1">
					<subreportParameterExpression><![CDATA[$F{id_evolucion}]]></subreportParameterExpression>
				</subreportParameter>
				<connectionExpression><![CDATA[$P{REPORT_CONNECTION}]]></connectionExpression>
				<subreportExpression><![CDATA[$P{SUBREPORT_DIR} + "ENCABEZADO.jasper"]]></subreportExpression>
			</subreport>
			<staticText>
				<reportElement x="2" y="10" width="182" height="10" uuid="228e309f-8978-4202-8d82-558527534320"/>
				<textElement>
					<font fontName="Times New Roman" size="8" pdfFontName="Times-Roman"/>
				</textElement>
				<text><![CDATA[INCAPACIDAD MEDICA]]></text>
			</staticText>
			<line>
				<reportElement x="0" y="28" width="572" height="1" uuid="52bafa2c-8239-4958-a0bc-e08772084b99"/>
			</line>
			<line>
				<reportElement positionType="Float" stretchType="RelativeToBandHeight" x="0" y="0" width="1" height="65" uuid="904d87af-f0db-4049-81c9-2a28789c2c9c"/>
			</line>
			<line>
				<reportElement positionType="Float" stretchType="RelativeToBandHeight" x="571" y="0" width="1" height="65" uuid="5c603f22-aa8e-4968-8382-fd848cd8dde6"/>
			</line>
			<subreport>
				<reportElement x="250" y="1" width="320" height="26" uuid="39dd9729-76c8-45b4-a872-f001817fafeb"/>
				<subreportParameter name="P1">
					<subreportParameterExpression><![CDATA[$F{id_evolucion}]]></subreportParameterExpression>
				</subreportParameter>
				<connectionExpression><![CDATA[$P{REPORT_CONNECTION}]]></connectionExpression>
				<subreportExpression><![CDATA[$P{SUBREPORT_DIR} + "SEDE_ADMINISTRATIVA.jasper"]]></subreportExpression>
			</subreport>
		</band>
	</pageHeader>
	<detail>
		<band height="29">
			<rectangle>
				<reportElement stretchType="RelativeToBandHeight" mode="Opaque" x="3" y="13" width="565" height="14" uuid="560195db-7c1d-4ece-bed0-9a57d4b67346"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</rectangle>
			<line>
				<reportElement x="0" y="0" width="572" height="1" uuid="dd6aab4d-0cd1-4d91-8dfb-b3b74563b19e"/>
			</line>
			<line>
				<reportElement positionType="Float" stretchType="RelativeToBandHeight" x="571" y="0" width="1" height="29" uuid="d6bd56dc-b6ac-48a0-9e3d-826aa7dd90d3"/>
			</line>
			<line>
				<reportElement positionType="Float" stretchType="RelativeToBandHeight" x="0" y="0" width="1" height="29" uuid="13c5a503-9464-49e9-832a-205043bff1d3"/>
			</line>
			<textField>
				<reportElement x="75" y="15" width="92" height="10" uuid="ef6aa9c2-3261-4dbc-9ee1-a7c2937a2f83"/>
				<textElement>
					<font fontName="Times New Roman" size="7" pdfFontName="Times-Roman"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{numero_dias}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement positionType="Float" stretchType="RelativeToTallestObject" x="5" y="15" width="70" height="10" uuid="49a353de-3de2-47ac-95f3-680801f05390"/>
				<textElement>
					<font fontName="Times New Roman" size="7" isBold="true" pdfFontName="Times-Roman"/>
				</textElement>
				<text><![CDATA[Dìas de incapacidad:]]></text>
			</staticText>
			<staticText>
				<reportElement positionType="Float" stretchType="RelativeToTallestObject" x="243" y="15" width="25" height="10" uuid="4664fc5c-ce88-4c00-907a-c4f1f2ef315a"/>
				<textElement>
					<font fontName="Times New Roman" size="7" isBold="true" pdfFontName="Times-Roman"/>
				</textElement>
				<text><![CDATA[Desde:]]></text>
			</staticText>
			<staticText>
				<reportElement positionType="Float" stretchType="RelativeToTallestObject" x="437" y="15" width="36" height="10" uuid="afc69c43-3260-4526-a7f7-59f23b1f5bbc"/>
				<textElement>
					<font fontName="Times New Roman" size="7" isBold="true" pdfFontName="Times-Roman"/>
				</textElement>
				<text><![CDATA[Hasta:]]></text>
			</staticText>
			<textField>
				<reportElement x="268" y="15" width="100" height="10" uuid="937531f4-d434-4b4f-a6b6-35d104645f77"/>
				<textElement>
					<font fontName="Times New Roman" size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{fecha_desde}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="473" y="15" width="90" height="10" uuid="9f1c47b7-988e-42ef-b8a3-2a161081cafe"/>
				<textElement>
					<font fontName="Times New Roman" size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{fecha_hasta}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement positionType="Float" stretchType="RelativeToTallestObject" x="2" y="1" width="566" height="9" uuid="ad0a09db-3631-481d-985e-c8072e9734ff"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="7" pdfFontName="Times-Roman"/>
				</textElement>
				<text><![CDATA[REGISTRO DE INCAPACIDAD ]]></text>
			</staticText>
			<line>
				<reportElement positionType="Float" stretchType="RelativeToBandHeight" x="434" y="13" width="1" height="14" uuid="d271aafe-e7dd-4583-9904-47e4c93fad11"/>
				<graphicElement>
					<pen lineWidth="0.25"/>
				</graphicElement>
			</line>
			<line>
				<reportElement positionType="Float" stretchType="RelativeToBandHeight" x="240" y="13" width="1" height="14" uuid="959da590-9bb3-4023-bff3-5b128f5a5d6e"/>
				<graphicElement>
					<pen lineWidth="0.25"/>
				</graphicElement>
			</line>
		</band>
		<band height="29">
			<textField isStretchWithOverflow="true">
				<reportElement positionType="Float" stretchType="RelativeToTallestObject" mode="Transparent" x="5" y="14" width="558" height="10" uuid="819cd1cd-30c6-43a7-8607-9a86c32dae02"/>
				<textElement>
					<font fontName="Times New Roman" size="7" pdfFontName="Times-Roman"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{motivo}]]></textFieldExpression>
			</textField>
			<rectangle>
				<reportElement positionType="Float" stretchType="RelativeToBandHeight" mode="Transparent" x="3" y="3" width="565" height="22" uuid="5c67b327-9258-4fbc-9df3-bb5d4d395f66"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</rectangle>
			<staticText>
				<reportElement positionType="Float" x="5" y="3" width="40" height="10" uuid="9a057320-e329-46fd-a707-453b5e7a6b36"/>
				<textElement>
					<font fontName="Times New Roman" size="7" isBold="true" pdfFontName="Times-Roman"/>
				</textElement>
				<text><![CDATA[Motivo:]]></text>
			</staticText>
			<line>
				<reportElement positionType="Float" stretchType="RelativeToBandHeight" x="0" y="0" width="1" height="29" uuid="4f913036-dbb2-4ac2-9c0d-a166b4f71d28"/>
			</line>
			<line>
				<reportElement positionType="Float" stretchType="RelativeToBandHeight" x="571" y="0" width="1" height="29" uuid="9b752ffb-5347-473b-b31f-841067817ec0"/>
			</line>
			<line>
				<reportElement x="3" y="13" width="563" height="1" uuid="02cb924f-a823-41d5-bfdf-5a6bee717355"/>
				<graphicElement>
					<pen lineWidth="0.25"/>
				</graphicElement>
			</line>
		</band>
		<band height="33">
			<textField isStretchWithOverflow="true">
				<reportElement positionType="Float" stretchType="RelativeToBandHeight" x="4" y="17" width="557" height="10" uuid="c12e3695-6dfe-4609-9594-89b849ec72d2"/>
				<textElement>
					<font fontName="Times New Roman" size="7" pdfFontName="Times-Roman"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{observaciones}]]></textFieldExpression>
			</textField>
			<line>
				<reportElement positionType="Float" stretchType="RelativeToBandHeight" x="571" y="0" width="1" height="33" uuid="08b596a7-36b4-4b3b-9ef2-b88843a4fe27"/>
			</line>
			<line>
				<reportElement positionType="Float" stretchType="RelativeToBandHeight" x="0" y="0" width="1" height="33" uuid="5b7bbfa1-947b-40d5-a08a-d0cb13f8ebbc"/>
			</line>
			<staticText>
				<reportElement positionType="Float" x="5" y="5" width="556" height="10" uuid="cb3c140d-f2f5-44f9-bf39-7b6b6449b318"/>
				<textElement>
					<font fontName="Times New Roman" size="7" isBold="true" pdfFontName="Times-Roman"/>
				</textElement>
				<text><![CDATA[Comentarios y/o Observaciones:]]></text>
			</staticText>
			<rectangle>
				<reportElement positionType="Float" stretchType="RelativeToBandHeight" mode="Transparent" x="3" y="3" width="565" height="27" uuid="4d16d98c-4244-4961-b20a-d1f63061764d"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</rectangle>
			<line>
				<reportElement x="3" y="15" width="565" height="1" uuid="4a8b8ac7-7405-4768-bc26-f994f9fa4141"/>
				<graphicElement>
					<pen lineWidth="0.25"/>
				</graphicElement>
			</line>
			<line>
				<reportElement x="1" y="0" width="571" height="1" uuid="7cd5b92c-eebf-49c3-a6a2-ed00168b8932"/>
			</line>
		</band>
		<band height="20">
			<subreport>
				<reportElement x="0" y="0" width="571" height="20" uuid="524455c2-abba-41d3-b835-001ad3daff9c"/>
				<subreportParameter name="p1">
					<subreportParameterExpression><![CDATA[$F{id_evolucion}]]></subreportParameterExpression>
				</subreportParameter>
				<connectionExpression><![CDATA[$P{REPORT_CONNECTION}]]></connectionExpression>
				<subreportExpression><![CDATA[$P{SUBREPORT_DIR} + "DIAGNOSTICOS_HC.jasper"]]></subreportExpression>
			</subreport>
			<line>
				<reportElement positionType="Float" stretchType="RelativeToBandHeight" x="0" y="0" width="1" height="20" uuid="3e123cba-365e-4346-9460-6e08ac03becd"/>
			</line>
			<line>
				<reportElement positionType="Float" stretchType="RelativeToBandHeight" x="571" y="0" width="1" height="20" uuid="8089421c-ea21-42d0-b4c3-acdcd25d9fb4"/>
			</line>
		</band>
		<band height="60">
			<line>
				<reportElement x="0" y="0" width="572" height="1" uuid="9dda119b-bfbc-407e-9cd7-e6ad1893ec0b"/>
			</line>
			<line>
				<reportElement x="0" y="58" width="572" height="2" uuid="9ae19c88-9549-4e4a-93c8-b54d02da2717"/>
			</line>
			<line>
				<reportElement positionType="Float" stretchType="RelativeToBandHeight" x="0" y="0" width="1" height="57" uuid="c60a2787-144f-453a-ad6a-2f5f39540411"/>
			</line>
			<line>
				<reportElement positionType="Float" stretchType="RelativeToBandHeight" x="571" y="0" width="1" height="58" uuid="1878d4b9-99d4-4cc4-86d1-081526b4d805"/>
			</line>
			<subreport>
				<reportElement x="1" y="1" width="570" height="58" uuid="4716cab6-a707-43bc-8bd2-3917b757a6ca"/>
				<subreportParameter name="P1">
					<subreportParameterExpression><![CDATA[$F{id_evolucion}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="dirFirma">
					<subreportParameterExpression><![CDATA[$P{dirFirma}]]></subreportParameterExpression>
				</subreportParameter>
				<connectionExpression><![CDATA[$P{REPORT_CONNECTION}]]></connectionExpression>
				<subreportExpression><![CDATA[$P{SUBREPORT_DIR} + "FIRMA.jasper"]]></subreportExpression>
			</subreport>
		</band>
		<band height="50">
			<subreport>
				<reportElement x="0" y="1" width="570" height="12" isRemoveLineWhenBlank="true" uuid="a3265b7b-29bf-4c97-986c-1d81934322c6"/>
				<subreportParameter name="p1">
					<subreportParameterExpression><![CDATA[$F{id_evolucion}]]></subreportParameterExpression>
				</subreportParameter>
				<connectionExpression><![CDATA[$P{REPORT_CONNECTION}]]></connectionExpression>
				<subreportExpression><![CDATA[$P{SUBREPORT_DIR} + "PIE_PAGINA.jasper"]]></subreportExpression>
			</subreport>
		</band>
	</detail>
</jasperReport>
